Bug 982975 - xPath window in xml perspective conflicts with editing commands
xPath window in xml perspective conflicts with editing commands
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: eclipse-wtp-sourceediting (Show other bugs)
19
Unspecified Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Krzysztof Daniel
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-10 05:00 EDT by relaxcold
Modified: 2014-01-12 19:28 EST (History)
6 users (show)

See Also:
Fixed In Version: xalan-j2-2.7.1-19.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-22 21:09:26 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
eclipse start log (69.13 KB, text/plain)
2013-07-10 05:00 EDT, relaxcold
no flags Details
eclipse startlog post xalan-j2-2.7.1-19.fc19 (36.68 KB, text/plain)
2013-07-15 07:25 EDT, relaxcold
no flags Details

  None (edit)
Description relaxcold 2013-07-10 05:00:54 EDT
Created attachment 771471 [details]
eclipse start log

Description of problem:
When I try to edit an xml file with eclipse-xml-editor or eclipse-schema-editor, both keyboard shortcuts and menu actions like delete, undo, copy, paste, save etc. are not working.

With help, it was found that the problem seems to be related to the xpath-window in the xml perspective. When the xpath-window is closed. and I switch out and back into xml perspective, all the keyboard shortcuts and menu actions are working again. 

There are a log of eclipse being started with the command: eclipse -clean -debug -consolelog
this can be found at http://pastebin.com/LmmHMpsK, and have also been attached as an attachment to this report.

Version-Release number of selected component (if applicable): 
Fedora 19 with Eclipse kepler 4.3

How reproducible: for me always. For others I don't know


Steps to Reproduce:
1. Install eclipse with all components though yum.
2. Open an xml file in eclipse
3. Switch to xml perspective, and try using various edit commands, which should not work.
4. Close the xPath window, switch out and back into the xml perspective, and the try the same commands, which should now work.

Actual results: n/a


Expected results: n/a


Additional info: this bug was first started over at eclipse at https://bugs.eclipse.org/bugs/show_bug.cgi?id=412572
Comment 1 Krzysztof Daniel 2013-07-10 10:27:51 EDT
Here is the xalan-j2 package with something that may become a fix.
http://koji.fedoraproject.org/koji/taskinfo?taskID=5591901

Please download *.noarch.rpm and install ( xalan-j2-2.7.1-19.fc19.noarch.rpm  may be enough). Those packages are for Fedora 19.

Then run eclipse -clean.

It should work.
Comment 2 Fedora Update System 2013-07-12 03:25:52 EDT
xalan-j2-2.7.1-19.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/xalan-j2-2.7.1-19.fc19
Comment 3 Fedora Update System 2013-07-12 22:01:53 EDT
Package xalan-j2-2.7.1-19.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing xalan-j2-2.7.1-19.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-12935/xalan-j2-2.7.1-19.fc19
then log in and leave karma (feedback).
Comment 4 relaxcold 2013-07-15 07:25:17 EDT
Created attachment 773700 [details]
eclipse startlog post xalan-j2-2.7.1-19.fc19

eclipse startup log after updating xalan to xalan-j2.7.1-19.fc19
Comment 5 relaxcold 2013-07-15 07:30:06 EDT
After updating to xalan-j2-2.7.1-19.fc19 some functionality was restored in xml perspective with xpath-window open.

I was able to do copy-paste and use delete, save actions.

I am still unable to do other actions such as undo/redo, find, find-replace, as well as many of the other edit commands

I have attached a log from eclipse from after the update of xalan. I hope it will help.
Comment 6 relaxcold 2013-07-15 07:49:22 EDT
Okay, my last comment (comment 5) is not valid. After the update I should have started eclipse with -clean option. After having done that, everything worked perfectly.
Comment 7 Fedora Update System 2013-07-22 21:09:26 EDT
xalan-j2-2.7.1-19.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.